Bug 62861 - imlib 1.0.13 has incorrect waitpid
imlib 1.0.13 has incorrect waitpid
Product: Red Hat Linux
Classification: Retired
Component: imlib (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-04-06 11:34 EST by Peter Bowen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-10 18:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2002-04-06 11:34:46 EST
imlib 1.0.13 leaks file descriptors which causes major problems for people using
pixmap themes.  mmarker released 1.0.14 to fix this.

In order to make the whole RHL7.2 -> RHL7.2 w/Ximian GNOME -> Hampton upgrade
process work correctly, it would be very convinent if you could skip a release
between the errata and the Hampton version so we (Ximian) can ship a version
that sorts in between RHL7.2 and Hampton.

Comment 1 Peter Bowen 2002-04-06 11:40:01 EST
correction, imlib has an incorrect waitpid call that causes it to lock if
something goes wrong.  Still a bad bug.
Comment 2 Havoc Pennington 2002-04-10 11:27:28 EDT
Tossing bug to Owen
Comment 3 Owen Taylor 2002-04-10 17:30:08 EDT
a) I assume you mean 1.9.13?
b) Can I just forget you said anything about "leak file descriptors"?
c) Is there anything in Ximian GNOME that is affected by the 1.9.13
   bug? To my knowledge, it principally affects Enlightenment, and
   might possibly cause problems if there was a sawfish theme that
   referenced bad image files.
d) I'm going to do an update of the errata. 
e) I don't see any real difference between this and any other situation
   where Ximian might release a newer version than what we end
   up shipping in 7.3.

Comment 4 Owen Taylor 2002-04-10 17:54:18 EDT
OK, I see the file descriptor leak now. Working on this some more,
I'm going to do a patch 1.9.13 rather than a 1.9.14, since getting
the same 1.9.14 package to build on 6.2 and 7.x turns out to be
major hassle (has recent libtool dependencies)
Comment 5 Peter Bowen 2002-04-10 18:12:35 EDT
a) yes.  It was a typo on my part

b) I'm getting differing answers on the FD issue.  I'm going to ask mmarker for
a definitive answer, but it does appear that there is a FD leak in imlib.

c) For pixmaps themes on applications with progress bars/thermometers, the
leaking FD issue is a bug problem.  This is an issue for both Ximain and RH
GNOME apps.  Ximian has already shipped an update for this, so XG isn't affected
by this bug.

d) OK

e) No, isn't a specific difference.  Just ignore this part of the bug.  It
isn'trelevant.  Other bugs have made it clear that handling the upgrade path
isn't an issue, as it is unsupported, and there is no interest in helping make
it easierfor the users who do take this path. 

I filed this bug as a beta tester first, second as a Ximain employee.  I want
tosee Red Hat have the best distro available, and try to keep my beta tester and
Ximian hats seperate.  I shouldn't have mentioned Ximian in the bug, as it just
confused the issue.
Comment 6 Peter Bowen 2002-04-14 15:50:13 EDT
Fixed in imlib-1.9.13-3.7.x

Note You need to log in before you can comment on or make changes to this bug.